#
# spec file for package tucnak
#
# Copyright (c) 2021 Walter Fey DL8FCL
# Copyright (c) 2022 Walter Fey DL8FCL
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# This file is under MIT license
#
# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tucnak
Version:        4.64
Release:        lp156.1.2
Summary:        VHF and microwave contest log
License:        GPL-2.0-or-later
Group:          Productivity/Hamradio/Logging
URL:            https://tucnak.nagano.cz/
Source:         https://tucnak.nagano.cz/%{name}-%{version}.tar.gz
BuildRequires:  gpm-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glib-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(hidapi-hidraw)
BuildRequires:  pkgconfig(libftdi1)
BuildRequires:  pkgconfig(libzia)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndfile) >= 1.0.2

%description
Tucnak is a amateur radio VHF and above contest logging program
with some useful features as networking, cw keying, ssb voicer,
sound recorder and more. User interface is based on Taclog.

%prep
%autosetup -p1

%build
export CFLAGS="%optflags -fcommon"
%configure
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/
%{_prefix}/lib/%{name}

%changelog
* Sat Jan 11 2025 Andreas Stieger <andreas.stieger@gmx.de>
- Update to 4.64
- rework spec file to reflect libzia changes, add hidapi
* Fri Jan 28 2022 Mariusz Woźniak <sp6ina@c44.pl>
- update to version 4.34
* Fri Jan 29 2021 Mariusz Woźniak <sp6ina@wp.pl>
- update to version 4.25
* Sat Jun  8 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.16
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.15
* Sat Feb 18 2017 dl8fcl@darc.de
- update to version 4.09
* Sun Aug 21 2016 dl8fcl@t-online.de
- update to version 4.08
* Wed May 11 2016 dl8fcl@t-online.de
- update to version 4.07
* Tue Feb 23 2016 dl8fcl@t-online.de
- update to version 4.05
* Thu Oct 22 2015 dl8fcl@darc.de
- import into build service
